# Makefile for ELEC278 sorting examples
# Meant to be used with MSVC nmake command

# Must define THISDIR and CMDS (list of commands) before including makeincl
THISDIR	=	Sorts
CMDS	=	Bublesort.exe \
			BCKTSORT.exe \
			bublsort.exe \
			dblebubl.exe \
			HEAPSORT.exe \
			INSTSORT.exe \
			INSTSORT2.exe \
			INSTSORT3.exe \
			INSTSORT4.exe \
			MERGSORT.exe \
			MrgSrt2.exe \
			QKSRTHYBD.exe \
			qsrtxx.exe \
			qsrtzz.exe \
			QUICKSORT0.exe \
			QUICKSORT1.exe \
			quicksort2.exe \
			RADXSORT.exe \
			SELSORT.exe \
			SELSORT2.exe

!INCLUDE "/code/src/include/makeincl"


Bublesort.exe:		bublesort.c

StrHashing.h:		StrHashing.c

StrHashing.exe:	StrHashing.obj
		cl /nologo /FeStrHashing /FmStrHashing StrHashing.obj

StrHashing.obj:		StrHashing.c cstrutil_lite.c
		cl /nologo /FoStrHashing /WX /DTESTING StrHashing.c
